Generate link token to link the health records
Generate a link token which will be valid for 6 months..
This token can be used for Health Information Provider (HIP) Initiated Linking, enabling HIPs to securely link patient health records to their ABHA (Ayushman Bharat Health Account) address. The generated token ensures that the linking process is authenticated and authorised, maintaining the integrity and security of health information exchange. This functionality is crucial for facilitating seamless and efficient linking of health records within the healthcare ecosystem.
Authorisation: We are passing the access-token in the authorisation [Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJBbFJiNVd] The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended Identifier of the health information provider to which the request was intended it can be null if abhaNumber is not linked with abhaAddress. Allows numeric character like ^\d{14}$ abhaAddress of the user/patient. Allows alpha numeric character and special characters like ^[a-zA-Z0-9][a-zA-Z0-9_.]+[a-zA-Z0-9]@(abdm|sbx)$ Only alphabets and special characters like ',.- are allowed like ^[a-zA-Z]+(([',. -][a-zA-Z ])?[a-zA-Z]*)*$ Allows M, F, O, D, T, U as a input Year of birth must be 4 digit, ranging between 1900 and 2200 Bad Request The error code and message, if any occurred. ABDM-1035 - Invalid HIP ID. May be returned either bare ( Unauthorized 900902 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-HIP-IDstringRequiredBody
abhaNumbernumberabhaAddressstringRequirednamestringRequiredgenderstringRequiredyearOfBirthnumberRequiredResponses
400errorobjecterror.codestringRequiredABDM-1035) or with a trailing ": " separator (ABDM-1035: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Callbacks
- After this call, ABDM posts This is a call back API of [/api/hiecm/v3/token/generate-token]. to
/api/v3/hip/token/on-generate-token. Open the callback.